<?php
/**
* @version $Id: index.php 5973 2006-12-11 01:26:33Z robs $
* @package Joomla
* @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
* Deutsche Uebersetzungen dieser Vollversion von Dieter Lehmann
* http://www.netboot.ch
*/

// Set flag that this is a parent file
define( '_VALID_MOS', 1 );

if (file_exists( '../configuration.php' ) && filesize( '../configuration.php' ) > 10) {
	header( "Location: ../index.php" );
	exit();
}
require( '../globals.php' );
require_once( '../includes/version.php' );

/** Include common.php */
include_once( 'common.php' );
view();

/*
 * Added 1.0.11
 */
function view() {
	$sp 		= ini_get( 'session.save_path' );

	$_VERSION 		= new joomlaVersion();
	$versioninfo 	= $_VERSION->RELEASE .'.'. $_VERSION->DEV_LEVEL .' '. $_VERSION->DEV_STATUS;
	$version 		= $_VERSION->PRODUCT .' '. $_VERSION->RELEASE .'.'. $_VERSION->DEV_LEVEL .' '. $_VERSION->DEV_STATUS.' [ '.$_VERSION->CODENAME .' ] '. $_VERSION->RELDATE .' '. $_VERSION->RELTIME .' '. $_VERSION->RELTZ;

	echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">";
	?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<title>Joomla - Installation</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="shortcut icon" href="../images/favicon.ico" />
	<link rel="stylesheet" href="install.css" type="text/css" />
	</head>
	<body>

	<div id="wrapper">
		<div id="header">
			<div id="joomla">
				<img src="header_install.png" alt="Joomla Installation" />
			</div>
		</div>
	</div>

	<div id="ctr" align="center">
		<div class="install">
			<div id="stepbar">
				<div class="step-on">Installationspr&uuml;fung</div>
				<div class="step-off">Lizenz</div>
				<div class="step-off">Schritt 1</div>
				<div class="step-off">Schritt 2</div>
				<div class="step-off">Schritt 3</div>
				<div class="step-off">Schritt 4</div>
			</div>

			<div id="right">
				<div id="step">Installationspr&uuml;fung</div>

				<div class="far-right">
					<input name="Button2" type="submit" class="button" value="Weiter >>" onclick="window.location='install.php';" />
					<br/>
					<br/>
					<input type="button" class="button" value="Pr&uuml;fung wiederholen" onclick="window.location=window.location" />
				</div>
				<div class="clr"></div>

				<h1 style="text-align: center; border-bottom: 0px;">
					<?php echo $version; ?>
				</h1>

				<h1>
					ben&ouml;tigte Einstellungen:
				</h1>
				
				<div class="install-text">
					<p>
 						Wenn eines der Punkte rot makiert ist, dann m&uuml;ssen Sie Ihre Apache/PHP Konfiguration korrigieren. Sollte dies nicht geschehen wird es sehr wahrscheinlich zu einer fehlerhaften Joomla! Installation f&uuml;hren.
					</p>
					<div class="ctr"></div>
				</div>

				<div class="install-form">
					<div class="form-block">
						<table class="content">
						<tr>
							<td class="item">
								PHP version >= 4.1.0
							</td>
							<td align="left">
								<?php echo phpversion() < '4.1' ? '<b><font color="red">Nein</font></b>' : '<b><font color="green">Ja</font></b>';?>
							</td>
						</tr>
						<tr>
							<td>
								&nbsp; - zlib compression support
							</td>
							<td align="left">
								<?php echo extension_loaded('zlib') ? '<b><font color="green">vorhanden</font></b>' : '<b><font color="red">nicht vorhanden</font></b>';?>
							</td>
						</tr>
						<tr>
							<td>
								&nbsp; - XML support
							</td>
							<td align="left">
								<?php echo extension_loaded('xml') ? '<b><font color="green">vorhanden</font></b>' : '<b><font color="red">nicht vorhanden</font></b>';?>
							</td>
						</tr>
						<tr>
							<td>
								&nbsp; - MySQL support
							</td>
							<td align="left">
								<?php echo function_exists( 'mysql_connect' ) ? '<b><font color="green">vorhanden</font></b>' : '<b><font color="red">nicht vorhanden</font></b>';?>
							</td>
						</tr>
						<tr>
							<td valign="top" class="item">
								configuration.php
							</td>
							<td align="left">
								<?php
								if (@file_exists('../configuration.php') &&  @is_writable( '../configuration.php' )){
									echo '<b><font color="green">Schreibrechte</font></b>';
								} else if (is_writable( '..' )) {
									echo '<b><font color="green">Schreibrechte</font></b>';
								} else {
									echo '<b><font color="red">keine Schreibrechte</font></b><br /><span class="small">Sie k&ouml;nnen die Installation fortsetzen. Die Konfuguration wird am Ende angezeigt. Kopieren die diese in eine Datei configuration.php und laden sie diese Datei auf ihren Webspace.</span>';
								} 
								?>
							</td>
						</tr>
						<tr>
							<td class="item">
								Speicherpfad f&uuml;r Sessions
							</td>
							<td align="left" valign="top">
								<?php echo is_writable( $sp ) ? '<b><font color="green">Schreibrechte</font></b>' : '<b><font color="red">keine Schreibrechte</font></b>';?>
							</td>
						</tr>
						<tr>
							<td class="item" colspan="2">
								<b>
									<?php echo $sp ? $sp : 'nicht gesetzt'; ?>
								</b>
							</td>
						</tr>
						</table>
					</div>
				</div>
				<div class="clr"></div>

				<?php
				$wrongSettingsTexts = array();

				if ( ini_get('magic_quotes_gpc') != '1' ) {
					$wrongSettingsTexts[] = 'PHP magic_quotes_gpc ist `EIN (ON)` an Stelle von `AUS (OFF)`';
				}
				if ( ini_get('register_globals') == '1' ) {
					$wrongSettingsTexts[] = 'PHP register_globals ist `EIN (ON)` an Stelle von `AUS (OFF)`';
				}
				if ( RG_EMULATION != 0 ) {
					$wrongSettingsTexts[] = 'Joomla! RG_EMULATION ist `EIN (ON)` an Stelle von `AUS (OFF)` in der Datei globals.php <br /><span style="font-weight: normal; font-style: italic; color: #666;">Aus Kompatibilit&auml;tsgr&uuml;nden ist diese Einstellung standardm&auml;&szlig;ig auf `EIN (ON)`</span>';
				}

				if ( count($wrongSettingsTexts) ) {
					?>
					<h1>
						Sicherheits&uuml;berpr&uuml;fung:
					</h1>
					
					<div class="install-text">
						<p>
							Folgende PHP-Einstellungen sind f&uuml;r den sicheren Betrieb von Jommlax nicht optimal und es wird empfohlen sie zu &auml;ndern:
						</p>
						<div class="ctr"></div>
					</div>

					<div class="install-form">
						<div class="form-block" style=" border: 1px solid #cc0000; background: #ffffcc;">
							<table class="content">
							<tr>
								<td class="item">
									<ul style="margin: 0px; padding: 0px; padding-left: 5px; text-align: left; padding-bottom: 0px; list-style: none;">
										<?php
										foreach ($wrongSettingsTexts as $txt) {
											?>
											<li style="min-height: 25px; padding-bottom: 5px; padding-left: 25px; color: red; font-weight: bold; background-image: url(../includes/js/ThemeOffice/warning.png); background-repeat: no-repeat; background-position: 0px 2px;" >
												<?php
												echo $txt;
												?>
											</li>
											<?php
										}
										?>
									</ul>
								</td>
							</tr>
							</table>
						</div>
					</div>
					<div class="clr"></div>
					<?php
				}
				?>

				<h1>
					empfohlenen Einstellungen:
				</h1>
				
				<div class="install-text">
					<p>
 						Diese Einstellungen sind fr die PHP Konfiguration empfohlen, um eine reibungslose Arbeit mit Joomla! zu erm&ouml;glichen. 
					</p>					
					<p>
						 Joomla! wird grundstzlich funktionieren, auch wenn nicht alle Werte &uuml;bereinstimmen.
					</p>
					<div class="ctr"></div>
				</div>

				<div class="install-form">
					<div class="form-block">

						<table class="content">
						<tr>
							<td class="toggle" width="500px">
								Anweisung
							</td>
							<td class="toggle">
								empfohlen
							</td>
							<td class="toggle">
								aktuell
							</td>
						</tr>
						<?php
						$php_recommended_settings = array(array ('Safe Mode','safe_mode','OFF','AUS'),
							array ('Display Errors','display_errors','ON','EIN'),
							array ('File Uploads','file_uploads','ON','EIN'),
							array ('Magic Quotes GPC','magic_quotes_gpc','ON','EIN'),
							array ('Magic Quotes Runtime','magic_quotes_runtime','OFF','AUS'),
							array ('Register Globals','register_globals','OFF','AUS'),
							array ('Output Buffering','output_buffering','OFF','AUS'),
							array ('Session auto start','session.auto_start','OFF','AUS'),
						);

						foreach ($php_recommended_settings as $phprec) {
							?>
							<tr>
								<td class="item">
									<?php echo $phprec[0]; ?>:
								</td>
								<td class="toggle">
									<?php echo $phprec[2]; ?>:
								</td>
								<td>
									<b>
										<?php
										if ( get_php_setting($phprec[1]) == $phprec[2] ) {
											?>
											<font color="green">
											<?php
										} else {
											?>
											<font color="red">
											<?php
										}
										echo get_php_setting($phprec[1]);
										?>
										</font>
									</b>
								<td>
							</tr>
							<?php
						}
						?>
						<tr>
							<td class="item">
								globale Variablen simulieren:
							</td>
							<td class="toggle">
								AUS
							</td>
							<td>
								<?php
								if ( RG_EMULATION ) {
									?>
									<font color="red"><b>
									<?php
								} else {
									?>
									<font color="green"><b>
									<?php
								}
								echo ((RG_EMULATION) ? 'EIN' : 'AUS');
								?>
								</b>
								</font>
							<td>
						</tr>
						</table>
					</div>
				</div>
				<div class="clr"></div>

				<h1>
					Verzeichnis- und Dateiberechtigungen:
				</h1>

				<div class="install-text">
					<p>
						Damit Jommlax ordnungsgem&auml;&szlig; arbeitet, muss das Programm f&uuml;r bestimmte Dateien und Verzeichnisse Schreibrechte haben.
					</p>
					<p>
						Wenn Sie "keine Schreibrechte" sehen, m&uuml;ssen Sie die Rechte f&uuml;r diese Datei bzw. dieses Verzeichnis &auml;ndern.
					</p>
					<div class="clr">&nbsp;&nbsp;</div>
					<div class="ctr"></div>
				</div>

				<div class="install-form">
					<div class="form-block">
						<table class="content">
						<?php
						writableCell( 'administrator/backups' );
						writableCell( 'administrator/components' );
						writableCell( 'administrator/modules' );
						writableCell( 'administrator/templates' );
						writableCell( 'cache' );
						writableCell( 'components' );
						writableCell( 'images' );
						writableCell( 'images/banners' );
						writableCell( 'images/stories' );
						writableCell( 'language' );
						writableCell( 'mambots' );
						writableCell( 'mambots/content' );
						writableCell( 'mambots/editors' );
						writableCell( 'mambots/editors-xtd' );
						writableCell( 'mambots/search' );
						writableCell( 'mambots/system' );
						writableCell( 'media' );
						writableCell( 'modules' );
						writableCell( 'templates' );
						?>
						</table>
					</div>
					<div class="clr"></div>
				</div>


				<div class="clr"></div>
			</div>
			<div class="clr"></div>
		</div>
	</div>

	<div class="ctr">
		<a href="http://www.joomlax.de" target="_blank">Joomla!</a> ist freie Software unter der GNU/GPL Lizenz.
	</div>

	</body>
	</html>
	<?php
}

function get_php_setting($val) {
	$r =  (ini_get($val) == '1' ? 1 : 0);
	return $r ? 'ON' : 'OFF';
}

function writableCell( $folder, $relative=1, $text='' ) {
	$writeable 		= '<b><font color="green">Schreibrechte</font></b>';
	$unwriteable 	= '<b><font color="red">keine Schreibrechte</font></b>';

	echo '<tr>';
	echo '<td class="item">' . $folder . '/</td>';
	echo '<td align="right">';
	if ( $relative ) {
		echo is_writable( "../$folder" ) 	? $writeable : $unwriteable;
	} else {
		echo is_writable( "$folder" ) 		? $writeable : $unwriteable;
	}
	echo '</tr>';
}
?>